#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x145277ce, "module_layout" },
	{ 0x9ec80be9, "eth_validate_addr" },
	{ 0x8653099d, "eth_mac_addr" },
	{ 0x5cba2bed, "usb_deregister" },
	{ 0x1b5434ac, "usb_register_driver" },
	{ 0xee9973fa, "__dev_kfree_skb_any" },
	{ 0x78e0c5e1, "pskb_expand_head" },
	{ 0x2b0b801b, "usb_autopm_get_interface" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x539f59c8, "register_netdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8909b575, "usb_alloc_coherent" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x80a96f59, "_dev_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x81aad2f0, "usb_reset_configuration" },
	{ 0x7fadcb16, "__rt_spin_lock_init" },
	{ 0xd985b4ad, "__rt_mutex_init" },
	{ 0x9342a111, "alloc_etherdev_mqs" },
	{ 0x5263aa88, "release_firmware" },
	{ 0x7c9a70bc, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0x7b60b5cc, "usb_alloc_urb" },
	{ 0x8092db58, "kmem_cache_alloc_trace" },
	{ 0xa20584a1, "kmalloc_caches" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xa23c58d, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2aafb875, "prepare_to_wait_event" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc27cb43, "__init_waitqueue_head" },
	{ 0xaed4ae47, "netif_carrier_on" },
	{ 0x82def3dd, "usb_autopm_put_interface" },
	{ 0x6435eb0f, "__dev_kfree_skb_irq" },
	{ 0x44c3b26b, "netif_tx_wake_queue" },
	{ 0x1faca170, "usb_unlink_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa1fd9796, "_dev_warn" },
	{ 0xd3833e73, "__dynamic_netdev_dbg" },
	{ 0x58a587b8, "free_netdev" },
	{ 0xf846e6e1, "usb_free_coherent" },
	{ 0xfdaa8676, "usb_free_urb" },
	{ 0x2ba3922f, "unregister_netdev" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb139e9e, "usb_kill_urb" },
	{ 0x9458d9c7, "__dynamic_dev_dbg" },
	{ 0x2662c0a8, "netif_rx" },
	{ 0x498b2c, "eth_type_trans" },
	{ 0x121600ce, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xea7e83fb, "__netdev_alloc_skb" },
	{ 0xb170c090, "rt_spin_unlock" },
	{ 0x752a4a03, "rt_spin_lock" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x14e9411e, "_dev_err" },
	{ 0x260ff55, "usb_submit_urb" },
	{ 0x8db178dd, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "37FCC6F1DA21BDC750C3232");

MODULE_INFO(suserelease, "SLE15-SP2");
